=== debian/changelog ===
libevdevplus (0.1.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building with CMake 4.  (Closes: #1113147)
  * Drop redundant Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 01 Oct 2025 00:16:24 +0200

libevdevplus (0.1.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Work around struct input_event.time kernel api change.  (Closes: #1069526)
  * Switch B-D from pkg-config to pkgconf.
  * PIE is enabled by default.
  * Declare Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Apr 2024 02:39:58 +0200

libevdevplus (0.1.1-2) unstable; urgency=medium

  * d/rules: set -DCMAKE_POSITION_INDEPENDENT_CODE=ON.

 -- Alexandre Viau <aviau@debian.org>  Tue, 11 Feb 2020 12:11:36 -0500

libevdevplus (0.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Tue, 11 Feb 2020 12:02:52 -0500

libevdevplus (0.1.0-2) unstable; urgency=medium

  * d/copyright: create Debian section.

 -- Alexandre Viau <aviau@debian.org>  Tue, 11 Feb 2020 02:13:09 -0500

libevdevplus (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #951103)

 -- Alexandre Viau <aviau@debian.org>  Tue, 11 Feb 2020 01:48:50 -0500
