=== debian/control ===
Source: libevdevplus
Section: libs
Priority: optional
Maintainer: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>=12),
               cmake,
 pkgconf,
Standards-Version: 4.5.0
Homepage: https://github.com/YukiWorkshop/libevdevPlus
Vcs-Git: https://salsa.debian.org/debian/libevdevplus.git
Vcs-Browser: https://salsa.debian.org/debian/libevdevplus

Package: libevdevplus-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
Multi-Arch: same
Description: Development files for the libevdevplus library
 Easy-to-use event device library in C++
 .
 This package contains the static library and headers.
