=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKAGE=$(shell dh_listpackages)
TMP=$(CURDIR)/debian/$(PACKAGE)

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- ${CONFIGURE_FLAGS}

override_dh_auto_install:
	dh_auto_install
	rm $(TMP)/usr/lib/*/*.so
	rm $(TMP)/usr/lib/*/*.so*
