=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libevdevPlus-$1\.tar\.gz/ \
  https://github.com/YukiWorkshop/libevdevPlus/tags .*/v?(\d\S+)\.tar\.gz
